<ion-header no-padding>
  <ion-toolbar>
    <ion-buttons size="small" slot="end">
      <ion-back-button icon="arrow-round-back" color="primary"> </ion-back-button>
    </ion-buttons>
    <ion-title style="font-size: 18px" color="primary">Post Video</ion-title>
  </ion-toolbar>
</ion-header>

  <ion-content fulscreen>

    <div class="video-selection" *ngIf="!selectedVideo">
      <p>Please select a video for upload from your gallery</p>
      <!-- <button ion-button (click)="selectVideo()">Select Video</button> -->
      <ion-button expand="block" (click)="selectVideo()">Select</ion-button>
    </div>
    
      <div class="video-section" *ngIf="selectedVideo">
        <div>
          <ion-item>
            <video
            preload="metadata"
            autoplay="autoplay"
            webkit-playsinline="webkit-playsinline"
            class="videoPlayer"
          >
            <source [src]="selectedVideo" type="video/mp4" />
          </video>
          </ion-item>  
        </div>
        <form [formGroup]="post_vid">
        <ion-item>
          <ion-label>Caption</ion-label>
          <ion-input formControlName="caption"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label>Boards</ion-label>
          <ion-select formControlName="board_id" value="brown" okText="Okay" cancelText="Dismiss">
              <div *ngFor="let board of boards$ | async">
                  <ion-select-option [value]="board.id">
                        {{board.name}}
                  </ion-select-option>
              </div>
          </ion-select>
        </ion-item>
      </form>
      <div class="button-options" *ngIf="!uploadedVideo && !isUploading">
          <ion-button expand="block">Cancel</ion-button>
          <ion-button expand="block" type="submit">Upload</ion-button>
      </div> 
    </div>
    <div *ngIf="isUploading">
      <div class="uploading">
        <p><ion-spinner name="bubbles"></ion-spinner></p>
        <p>Uploading - {{ uploadPercent }}% Complete</p>
      </div>
      <div class="button-options">
        <ion-button expand="block">Cancel</ion-button>

      </div>
    </div>

    <div class="button-options" *ngIf="uploadedVideo">
      <ion-button expand="block">Cancel</ion-button>
    </div>
  </ion-content>
